//
//  common.h
//  FlipClock
//
//  Created by Stefan Hollekamp on 05.10.24.
//  Copyright © 2024 Smart-App.Dev. All rights reserved.
//


// Common.h

#ifndef Common_h
#define Common_h

#import "LogManager.h"

#define LogMessage(fmt, ...) \
do { \
    NSString *logMessage = [NSString stringWithFormat:(fmt), ##__VA_ARGS__]; \
    NSLog(@"%@", logMessage); \
    [[LogManager sharedManager] logMessage:logMessage]; \
} while(0)

#endif /* Common_h */
